MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032129Open CASCADE[OCCT] OCCT:Visualizationpublic2021-02-13 13:282021-02-21 11:43
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.6.0* 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032129: Visualization, TKOpenGl - shadowmap is broken for ZLayer having non-zero origin
DescriptionShadowmap is rendered incorrect for ZLayer having non-zero origin.
Steps To Reproduce
pload MODELING VISUALIZATION
box b  0 0 1 100 200 300
box bb -500 -500 0 1000 1000 0 -preview
vinit View1
vrenderparams -shadingModel PHONG
vdisplay -dispMode 1 b bb
vaspects bb -material STONE
vfit
vlight -change 0 -castShadows 1 -head 0 -dir 1 1 -1
# OK
vzlayer DEFAULT -origin 1 0 0
# KO
TagsNo tags attached.
Test case numberv3d/shadows/double_precision
Attached Files

- Relationships
child of 0032039verifiedbugmaster Visualization, TKOpenGl - implement simple shadow mapping for a direct light source 

-  Notes
(0098865)
git (administrator)
2021-02-14 01:01

Branch CR32129 has been created by kgv.

SHA-1: 930c5667b6a5c0d51a0144c8aafab42ebc7f009b


Detailed log of new commits:

Author: kgv
Date: Sun Feb 14 01:01:27 2021 +0300

    0032129: Visualization, TKOpenGl - shadowmap is broken for ZLayer having non-zero origin
    
    OpenGl_LayerList::renderLayer() - fixed usage of wrong camera while rendering shadowmap,
    and apply Z-Layer origin shift to shadowmap matrix while applying shadow.
(0098866)
git (administrator)
2021-02-14 01:11

Branch CR32129 has been updated forcibly by kgv.

SHA-1: 008210c3e2f98b0b28c26b85f5eae35898bab739
(0098870)
kgv (developer)
2021-02-14 12:25

Patch is ready for review
- OCCT branch: CR32129.

http://jenkins-test-12.nnov.opencascade.com/view/CR32129-master-KGV/view/COMPARE/ [^]
(0098871)
osa (developer)
2021-02-15 09:54

The patch was reviewed
(0099015)
bugmaster (administrator)
2021-02-21 11:30

Combination -
OCCT branch : IR-2021-02-20
master SHA - 127330f9d7ec8c87f4ec37ca8c93bbf65866cdee
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-02-20 SHA - 7c8d26f00c77b65a9d6b04524d1c1dce225fa6d7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17876.110000000237 / 17806.660000000233 [+0.39%]
Products
Total CPU difference: 11541.23000000011 / 11513.250000000124 [+0.24%]
Windows-64-VC14:
OCCT
Total CPU difference: 19352.0 / 19376.859375 [-0.13%]
Products
Total CPU difference: 12836.421875 / 12857.265625 [-0.16%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0099032)
git (administrator)
2021-02-21 11:43

Branch CR32129 has been deleted by inv.

SHA-1: 008210c3e2f98b0b28c26b85f5eae35898bab739

- Related Changesets
occt: master 008210c3
Timestamp: 2021-02-13 22:01:27
Author: kgv
Details ] Diff ]
0032129: Visualization, TKOpenGl - shadowmap is broken for ZLayer having non-zero origin

OpenGl_LayerList::renderLayer() - fixed usage of wrong camera while rendering shadowmap,
and apply Z-Layer origin shift to shadowmap matrix while applying shadow.
mod - src/OpenGl/OpenGl_BackgroundArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStatsPrs.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_LayerList.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShadowMap.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_ShadowMap.hxx Diff ] File ]
add - tests/v3d/shadows/double_precision Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-02-13 13:28 kgv New Issue
2021-02-13 13:28 kgv Assigned To => kgv
2021-02-13 13:29 kgv Relationship added child of 0032039
2021-02-14 01:01 git Note Added: 0098865
2021-02-14 01:11 git Note Added: 0098866
2021-02-14 12:25 kgv Note Added: 0098870
2021-02-14 12:25 kgv Assigned To kgv => osa
2021-02-14 12:25 kgv Status new => resolved
2021-02-15 09:54 osa Note Added: 0098871
2021-02-15 09:54 osa Assigned To osa => bugmaster
2021-02-15 09:54 osa Status resolved => reviewed
2021-02-21 11:30 bugmaster Note Added: 0099015
2021-02-21 11:30 bugmaster Status reviewed => tested
2021-02-21 11:33 bugmaster Test case number => v3d/shadows/double_precision
2021-02-21 11:40 kgv Changeset attached => occt master 008210c3
2021-02-21 11:40 kgv Assigned To bugmaster => kgv
2021-02-21 11:40 kgv Status tested => verified
2021-02-21 11:40 kgv Resolution open => fixed
2021-02-21 11:43 git Note Added: 0099032


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker